/**过滤字典中的空值字段 */
export const filterEmptyObject = (data: object): object => {
  // 初始化一个空对象用于存储非空值字段
  return Object.keys(data).reduce((acc, cur) => {
    // 检查当前字段的值是否为空
    if (data[cur] !== null && data[cur] !== undefined && data[cur] !== "") {
      // 如果不为空，则将其添加到结果对象中
      acc[cur] = data[cur];
    }
    // 返回累积的结果对象
    return acc;
  }, {});
};
